ranger-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Abhay Kulkarni (Jira)" <j...@apache.org>
Subject [jira] [Created] (RANGER-2916) Get rid of POM model related warnings in Ranger build output
Date Fri, 17 Jul 2020 00:08:00 GMT
Abhay Kulkarni created RANGER-2916:
--------------------------------------

             Summary: Get rid of POM model related warnings in Ranger build output
                 Key: RANGER-2916
                 URL: https://issues.apache.org/jira/browse/RANGER-2916
             Project: Ranger
          Issue Type: Improvement
          Components: Ranger
    Affects Versions: master
            Reporter: Abhay Kulkarni
            Assignee: Abhay Kulkarni
             Fix For: 2.1.0


These warnings are seen in the build output.

[WARNING] Some problems were encountered while building the effective model for org.apache.ranger:ranger-plugins-audit:jar:2.1.0-SNAPSHOT
[WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.elasticsearch.plugin:parent-join-client:jar
-> duplicate declaration of version ${elasticsearch.version} @ line 161, column 21
[WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.elasticsearch.plugin:aggs-matrix-stats-client:jar
-> duplicate declaration of version ${elasticsearch.version} @ line 166, column 21
[WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.elasticsearch.plugin:rank-eval-client:jar
-> duplicate declaration of version ${elasticsearch.version} @ line 171, column 21
[WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.elasticsearch.plugin:lang-mustache-client:jar
-> duplicate declaration of version ${elasticsearch.version} @ line 176, column 21
[WARNING]
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
[WARNING]
[WARNING] For this reason, future Maven versions might no longer support building such malformed
projects.
[WARNING]
[WARNING] The project org.apache.ranger:ranger:pom:2.1.0-SNAPSHOT uses prerequisites which
is only intended for maven-plugin projects but not for non maven-plugin projects. For such
purposes you should use the maven-enforcer-plugin. See https://maven.apache.org/enforcer/enforcer-rules/requireMavenVersion.html



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message